require( "scripts/styles/style.lua" );


MakeState{
	BlgBitmap{
		image = "common/backgrounds/bg_minigamemenu",
		name = "minigamesmenuBG",
		center = {x = 0, y = 0},
	},

	BlgButton{
		transformMatrix = {x = 0, y = 0},
		label = "Comic_Menu_Intro",
		--font = {
			--standardFont,
			--16,
			--Color(255, 255, 255),
		--},
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/intro/", background="level/story/textures/bg_pool"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 200, y = 0},
		label = "Comic_Menu_Pool_1",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/pool/1", background="level/story/textures/bg_pool"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 400, y = 0},
		label = "Comic_Menu_Beach_1",
		font = {
			standardFont,
			16,
			Color(255, 255, 255),
		},
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/beach/1", background="level/story/textures/bg_beach"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 600, y = 0},
		label = "Comic_Menu_Club_1",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/club/1", background="level/story/textures/bg_club"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 200, y = 80},
		label = "Comic_Menu_Pool_2",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/pool/2", background="level/story/textures/bg_pool"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 200, y = 160},
		label = "Comic_Menu_Pool_3",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/pool/3", background="level/story/textures/bg_pool"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 200, y = 240},
		label = "Comic_Menu_Pool_4",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/pool/4", background="level/story/textures/bg_pool"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 200, y = 300},
		label = "Comic_Menu_Pool_5",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/pool/5", background="level/story/textures/bg_pool"});
			end
	},
	
	BlgButton{
		transformMatrix = {x = 400, y = 80},
		label = "Comic_Menu_Beach_2",
		font = {
			standardFont,
			16,
			Color(255, 255, 255),
		},
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/beach/2", background="level/story/textures/bg_beach"});
			end
	},
	
	---------------------------------------------------------------
	BlgButton{
		transformMatrix = {x = 400, y = 500},
		label = "Comic_Menu_Beach_3",
		font = {
			standardFont,
			16,
			Color(255, 255, 255),
		},
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/beach/3", background="level/story/textures/bg_beach"});
			end
	},
	
	
	BlgButton{
		transformMatrix = {x = 400, y = 570},
		label = "Comic_Menu_Beach_4",
		font = {
			standardFont,
			16,
			Color(255, 255, 255),
		},
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/beach/4", background="level/story/textures/bg_beach"});
			end
	},
	
	
	BlgButton{
		transformMatrix = {x = 400, y = 640},
		label = "Comic_Menu_Beach_5",
		font = {
			standardFont,
			16,
			Color(255, 255, 255),
		},
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/beach/5", background="level/story/textures/bg_beach"});
			end
	},
	---------------------------------------------------------------
	
	
	BlgButton{
		transformMatrix = {x = 600, y = 80},
		label = "Comic_Menu_Club_2",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/club/2", background="level/story/textures/bg_club"});
			end
	},	
	
	BlgButton{
		transformMatrix = {x = 600, y = 160},
		label = "Comic_Menu_Club_3",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/club/3", background="level/story/textures/bg_club"});
			end
	},	
	
	
	
	
	-----------------------
	BlgButton{
		transformMatrix = {x = 600, y = 570},
		label = "Comic_Menu_Club_4",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/club/4", background="level/story/textures/bg_club"});
			end
	},	
	
	
	BlgButton{
		transformMatrix = {x = 600, y = 630},
		label = "Comic_Menu_Club_5",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/club/5", background="level/story/textures/bg_club"});
			end
	},	
	-------------------
	--C:\Users\gcalahorrano\Desktop\CLUB PARADISE\assets\level\story\ending
	
	BlgButton{
		transformMatrix = {x = 700, y = 630},
		label = "Comic_Menu_Ending",
		--font = {
			--standardFont,
			--16,
			--Color(255, 255, 255),
		--},
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"scripts/states/statecomic.lua", basePath="level/story/ending/", background="level/story/textures/bg_pool"});
			end
	},
	
	
	
	
	BlgButton{
		name = "backBtn",
		transformMatrix = {x = 0, y = 400},
		label = "back",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				SwapToState("scripts/states/statemainmenu.lua");
			end
	},
}
